Deleted the old code block
[dyninst.git] / cmake / c++11.cmake
1 message (STATUS "Checking for C++11 flags for ${CMAKE_CXX_COMPILER_ID}")
2 #if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
3 #    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
4 #    if (GCC_VERSION VERSION_LESS 4.3)
5 #       message(FATAL_ERROR "${PROJECT_NAME} requires C++11 support (g++ 4.3 or later)")
6 #    elseif (GCC_VERSION VERSION_LESS 4.7)
7 #       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
8 #    else ()
9 #       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
10 #    endif()
11 #elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
12 #    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
13 #elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Intel")
14 #    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
15 #else ()
16 #    if (${CMAKE_CXX_COMPILER_ID} STREQUAL MSVC)
17 #        message(STATUS "MSVC requires no C++11 flags")
18 #    else ()
19 #        message(FATAL_ERROR "Your C++ compiler (${CMAKE_CXX_COMPILER_ID}) does not support C++11.")
20 #    endif()
21 #endif ()
22